## flask-peewee 0.6.7

=== example/requirements.txt ===
flask
werkzeug
jinja2
peewee
wtforms
wtf-peewee

=== debian/changelog ===
flask-peewee (0.6.7-3) unstable; urgency=medium

  [ Chris Lamb ]
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper compatibility level to 13.
  * Bump debian/watch to version 4.
  * Don't ship .doctree files, making the build reproducible. (Closes: #885326)

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + python-flask-peewee-doc: Add Multi-Arch: foreign.

 -- Chris Lamb <lamby@debian.org>  Mon, 22 Mar 2021 12:15:29 +0000

flask-peewee (0.6.7-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/rules: Remove trailing whitespaces
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Bump debhelper compat level to 12.
  * Standard version is 4.4.0 now (no changes).
  * Enable sphinxdoc debhelper.
  * Enable autopkgtest-pkg-python testsuite.

 -- Ondřej Nový <onovy@debian.org>  Tue, 06 Aug 2019 16:08:17 +0200

flask-peewee (0.6.7-1) unstable; urgency=low

  * Team upload.

  [ Adrian Vondendriesch ]
  * Initial package version.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 29 Nov 2017 15:13:42 +0100

=== debian/control ===
Source: flask-peewee
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-flask,
               python3-jinja2,
               python3-setuptools,
               python3-sphinx,
               python3-werkzeug,
               python3-wtf-peewee
Standards-Version: 4.5.1
Homepage: https://github.com/coleifer/flask-peewee/
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-peewee.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-peewee
Testsuite: autopkgtest-pkg-python

Package: python3-flask-peewee
Architecture: all
Depends: libjs-jquery,
         python3-peewee,
         python3-wtf-peewee,
         ${misc:Depends},
         ${python3:Depends}
Description: Peewee integration for flask (Python 3)
 Provides a layer of integration between the flask web framework and
 the peewee ORM.
 .
 This is the Python 3 package.

Package: python-flask-peewee-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-jquery, libjs-underscore
Multi-Arch: foreign
Description: Documentation for python-flask-peewee
 flask-peewee provides a layer of integration between the flask web
 framework and the peewee ORM.
 .
 This package contains HTML documentation for provided module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flask-peewee
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ -d debian/doctrees docs/build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman docs/ -d debian/doctrees docs/build/man # Manpage generator

override_dh_auto_test:
	# The tarball doesn't contain runtest.py.

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/doctrees

override_dh_auto_install:
	dh_auto_install
	# We don't install examples in dist-packages
	rm -r $(CURDIR)/debian/python3-flask-peewee/usr/lib/*/dist-packages/example

override_dh_link:
	dh_link
	# Use Debian-packaged jquery and and underscore
	rm $(CURDIR)/debian/python3-flask-peewee/usr/lib/python3/dist-packages/flask_peewee/static/js/jquery.min.js
	dh_link -ppython3-flask-peewee usr/share/javascript/jquery/jquery.min.js usr/lib/python3/dist-packages/flask_peewee/static/js/jquery.min.js
	rm $(CURDIR)/debian/python-flask-peewee-doc/usr/share/doc/python-flask-peewee-doc/html/_static/jquery.js
	dh_link -ppython-flask-peewee-doc usr/share/javascript/jquery/jquery.min.js usr/share/doc/python-flask-peewee-doc/html/_static/jquery.js
	rm $(CURDIR)/debian/python-flask-peewee-doc/usr/share/doc/python-flask-peewee-doc/html/_static/underscore.js
	dh_link -ppython-flask-peewee-doc /usr/share/javascript/underscore/underscore.min.js usr/share/doc/python-flask-peewee-doc/html/_static/underscore.js

=== debian/watch ===
# please also check https://pypi.debian.net/flask-peewee/watch
# However, the pypi releases doesn't contain the runtest.py script.
version=4
# opts=dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg,uversionmangle=s/(rc|a|b|c)/~$1/ \
#   https://pypi.debian.net/flask-peewee/flask-peewee-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
  https://pypi.debian.net/flask-peewee/flask-peewee-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## flask-peewee 3.0.5

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/flask-peewee.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/flask-peewee.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/flask-peewee"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/flask-peewee"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
flask-peewee (3.0.5-3) unstable; urgency=medium

  * Team upload.
  * [43461e4] Add patch from patch-queue branch
    Added patch:
    Fixes-for-newer-werkzeug-flask.patch
  * [148578f] d/control: Add nodoc profile to python3-sphinx
  * [e312763] d/rules: Extend dh_clean with more content to remove
    (Closes: #1044243)
  * [cc9541e] d/s/lintian-overrides: Drop not needed entry

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 22 Dec 2023 18:42:48 +0100

flask-peewee (3.0.5-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set versioned dep on python3-wtf-peewee

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 12 Jan 2023 17:19:45 +0100

flask-peewee (3.0.5-1) unstable; urgency=medium

  * Team upload.
  * d/gbp.conf: Add more defaults
  * d/watch: Move to git mode on GitHub
  * New upstream version 3.0.5
  * d/control: Running wrap-and-sort -ast
    No modifications, just reorder the content.
  * d/control: Sort binary packages alphabetical
  * d/control: Update build deps, add BuildProfileSpecs
  * d/rules: Run the upstream tests also while build
  * python-flask-peewee-doc: Use dh_shpinxdoc for build
  * d/control: Bump Standars-Versions to 4.6.2
    No further modifications needed.
  * d/control: Add Rules-Requires-Root: no
  * python3-flask-peewee: Link JS files to libjs-bootstrap
  * Lintian: Adjust overrides for the source
  * autopkgtests: Add upstream test
  * d/copyright: Update year data
  * d/u/metadata: Add entry for Documentation

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 08 Jan 2023 20:24:02 +0100

flask-peewee (0.6.7-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 17:41:07 +0100

=== debian/control ===
Source: flask-peewee
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python3-all,
 python3-flask <!nocheck>,
 python3-jinja2 <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-werkzeug <!nocheck>,
 python3-wtf-peewee <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/coleifer/flask-peewee/
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-peewee.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-peewee
Testsuite: autopkgtest-pkg-python

Package: python-flask-peewee-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 libjs-underscore,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Documentation for python-flask-peewee
 flask-peewee provides a layer of integration between the flask web
 framework and the peewee ORM.
 .
 This package contains HTML documentation for provided module.

Package: python3-flask-peewee
Architecture: all
Depends:
 libjs-jquery,
 libjs-bootstrap,
 python3-peewee,
 python3-wtf-peewee (>= 3.0.4+dfsg-1~),
 ${misc:Depends},
 ${python3:Depends},
Description: Peewee integration for flask (Python 3)
 Provides a layer of integration between the flask web framework and
 the peewee ORM.
 .
 This is the Python 3 package.

=== debian/tests/control ===
Tests: upstream-tests
Depends:
 python3-all,
 python3-flask,
 python3-jinja2,
 python3-werkzeug,
 @,
Restrictions:
 allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.xz%arduino-builder-$1.tar.xz%,\
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|a|b|c|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+(dfsg|ds)(\.?\d+)?$//" \
https://github.com/coleifer/flask-peewee.git \
      refs/tags/@ANY_VERSION@

## flask-peewee 3.0.6

=== debian/changelog ===
flask-peewee (3.0.6-2) unstable; urgency=medium

  * Team upload.
  * [6d213a2] Add patch from patch-queue branch
    Added patch:
    flask_peewee-Use-raw-strings-for-all-regexes.patch
    (Closes: #1085577)
  * [055167b] d/rules: Drop -D option in SPHINXOPTS
  * [1d34e78] d/rules: Remove .mypy_cache folder while dh_clean call
  * [5278199] d/watch: Remove superfluous filenamemangle option
  * [9afdf6b] d/copyright: Small update of contribution years

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 15 Nov 2024 12:53:44 +0100

flask-peewee (3.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0.6
  * Dropped current patch queue
  * d/control: Bump Standards-Version to 4.7.0
    No further changes needed.

 -- Kalyani Kenekar <kalyaniknkr@gmail.com>  Mon, 06 May 2024 12:21:08 +0530

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-werkzeug <!nocheck>,
  python3-wtf-peewee <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/coleifer/flask-peewee/
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-peewee.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-peewee

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

SPHINXOPTS := -E -N

export PYBUILD_NAME=flask-peewee
%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .mypy_cache

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -b man $(SPHINXOPTS) docs/ -d debian/doctrees docs/build/man # Manpage generator

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-flask-peewee-doc/usr/share/doc/python-flask-peewee-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} runtests.py"

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/doctrees
	rm -rf docs/build
	rm -f test.db

override_dh_auto_install:
	dh_auto_install
	# We don't install examples in dist-packages
	rm -r $(CURDIR)/debian/python3-flask-peewee/usr/lib/*/dist-packages/example

override_dh_link:
	dh_link
	# Use Debian-packaged jquery and and underscore
	dh_link -ppython3-flask-peewee usr/share/javascript/jquery/jquery.min.js usr/lib/python3/dist-packages/flask_peewee/static/js/jquery.min.js
	dh_link -ppython3-flask-peewee /usr/share/javascript/bootstrap/js/bootstrap.js usr/lib/python3/dist-packages/flask_peewee/static/js/bootstrap.js
	dh_link -ppython3-flask-peewee /usr/share/javascript/bootstrap/js/bootstrap.min.js usr/lib/python3/dist-packages/flask_peewee/static/js/bootstrap.min.js

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|a|b|c|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+(dfsg|ds)(\.?\d+)?$//" \
https://github.com/coleifer/flask-peewee.git \
      refs/tags/@ANY_VERSION@

## flask-peewee 3.1.0

=== debian/changelog ===
flask-peewee (3.1.0-1) unstable; urgency=medium

  * Team upload.
  * [7a46b6b] d/watch: Convert to version 5
  * [9a079f1] New upstream version 3.1.0
  * [68e06f2] Dropped current patch queue
    Dropped patch (included upstream):
    flask_peewee-Use-raw-strings-for-all-regexes.patch
  * [21e51a1] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [f3496a4] d/control: Bump Standars-Versions to 4.7.3
    No further modifications needed.
  * [d09542d] d/copyright: Update year data
  * [076664f] d/control: Switch dependency over to libjs-bootsrap5
  * [7966f65] d/rules: Adjust the linking to Bootstrap5 files
  * [837e61e] d/copyright: Correct old-fsf-address-in-copyright-file
  * [cbc996f] d/control: Drop field Priority: optional

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 11 Jan 2026 11:46:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -16,8 +15,7 @@
  python3-sphinx <!nodoc>,
  python3-werkzeug <!nocheck>,
  python3-wtf-peewee <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/coleifer/flask-peewee/
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-peewee.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-peewee
@@ -42,7 +40,7 @@
 Architecture: all
 Depends:
  libjs-jquery,
- libjs-bootstrap,
+ libjs-bootstrap5,
  python3-peewee,
  python3-wtf-peewee (>= 3.0.4+dfsg-1~),
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -32,14 +32,9 @@
 	rm -rf docs/build
 	rm -f test.db
 
-override_dh_auto_install:
-	dh_auto_install
-	# We don't install examples in dist-packages
-	rm -r $(CURDIR)/debian/python3-flask-peewee/usr/lib/*/dist-packages/example
-
 override_dh_link:
 	dh_link
 	# Use Debian-packaged jquery and and underscore
-	dh_link -ppython3-flask-peewee usr/share/javascript/jquery/jquery.min.js usr/lib/python3/dist-packages/flask_peewee/static/js/jquery.min.js
-	dh_link -ppython3-flask-peewee /usr/share/javascript/bootstrap/js/bootstrap.js usr/lib/python3/dist-packages/flask_peewee/static/js/bootstrap.js
-	dh_link -ppython3-flask-peewee /usr/share/javascript/bootstrap/js/bootstrap.min.js usr/lib/python3/dist-packages/flask_peewee/static/js/bootstrap.min.js
+	dh_link -ppython3-flask-peewee /usr/share/javascript/jquery/jquery.min.js usr/lib/python3/dist-packages/flask_peewee/static/js/jquery.min.js
+	dh_link -ppython3-flask-peewee /usr/share/javascript/bootstrap5/js/bootstrap.js usr/lib/python3/dist-packages/flask_peewee/static/js/bootstrap.js
+	dh_link -ppython3-flask-peewee /usr/share/javascript/bootstrap5/js/bootstrap.min.js usr/lib/python3/dist-packages/flask_peewee/static/js/bootstrap.min.js

=== debian/watch ===
Version: 5

Source: https://github.com/coleifer/flask-peewee.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Mode: git
Pgpmode: none
Dversion-Mangle: s/\+(dfsg|ds)(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|a|b|c|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
